GET /astronaut/
thespacedevs.com:launch-library-api
Summary: List astronauts
Operation ID: listAstronauts
Auth: unknown
Operation ID: listAstronauts
Auth: unknown
Description
Returns a paginated list of astronauts (past, present, and future).
Parameters (3)
limit
(integer, query, optional, default: 10)
Number of results to return per page
Constraints: {'maximum': 100}
offset
(integer, query, optional, default: 0)
Index of the first result to return
search
(string, query, optional)
Search query string to filter astronauts by name
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List astronauts with default pagination | curl |
https://ll.thespacedevs.com/2.2.0/astronaut/?limit=10&offset=0 |
|
| Filter astronauts by nationality | curl |
https://ll.thespacedevs.com/2.2.0/astronaut/?nationality=American&limit=5 |
|
| Search astronauts by name with pagination | curl |
https://ll.thespacedevs.com/2.2.0/astronaut/?name=Armstrong&limit=10&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:39:04.646377 | 429 | 359ms | |
| 2026-03-23 10:09:35.201389 | 200 | 459ms | |
| 2026-03-23 09:07:03.678531 | 200 | 454ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:09:35.201389 | 09c0e4a05be4 |
4afdb54c64ef |
| 2026-03-23 10:39:04.646377 | 4afdb54c64ef |
00948ff372dd |